For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for version 0.8.0.
For other versions, use one of these documentation indexes:
- Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
- 0.8.0: https://docs.nvidia.com/nemo-helix/v0.8.0/llms.txt
- 0.7.1: https://docs.nvidia.com/nemo-helix/v0.7.1/llms.txt
- 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
- 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
- 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
- 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
- 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
- 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
- 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt
This will revoke existing roles not in the new list and add new roles.
By default, this endpoint waits for the roles to propagate before returning.
Use wait_role_propagation=false to skip waiting (useful for bulk operations).
Example:
PUT /apis/entities/v2/workspaces/ml-team/members/user@example.com
{
"roles": ["Viewer", "Editor"]
}
Path parameters
workspacestringRequired
principal_idstringRequired
Query parameters
wait_role_propagationbooleanOptionalDefaults to true
If true, wait for roles to propagate before returning (default: true). Set to false for bulk operations.
Request
This endpoint expects an object.
roleslist of stringsRequired
Updated list of roles for the principal
Response
Successful Response
principalstring
The principal identifier
roleslist of strings
List of roles granted to the principal
granted_atdatetimeOptional
Earliest date when a role was granted to this principal